<?php

namespace App\Domain\Request\DTO;

final readonly class PaginateQuery
{
    public function __construct(
        public int $perPage = 10,
        public int $page = 1,
    ) {
    }

    public function getOffset(): int
    {
        return $this->perPage * ($this->page - 1);
    }
}
