<?php

namespace App\Domain\Request\DTO\Request\Query;

use Symfony\Component\Validator\Constraints as Assert;

final readonly class NewRequestDTO
{
    public function __construct(
        #[Assert\NotBlank(message: 'Тема должна быть заполнена', allowNull: false)]
        public string $topic = '',
        #[Assert\NotBlank(message: 'Сообщение должно быть заполнено', allowNull: false)]
        public string $message = '',
    ) {
    }
}
